org.apache.ignite.internal.portable.builder

## Class PortablePlainPortableObject

- java.lang.Object
- - org.apache.ignite.internal.portable.builder.PortablePlainPortableObject

All Implemented Interfaces:
  PortableLazyValue

    public class PortablePlainPortableObject
    extends Object
    implements PortableLazyValue

### Constructor Summary

Constructors
Constructor and Description
`PortablePlainPortableObject(PortableObject portableObj)`

### Method Summary

Methods
`Object` `value()`
`void` `writeTo(PortableWriterExImpl writer, org.apache.ignite.internal.portable.builder.PortableBuilderSerializer ctx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PortablePlainPortableObject

    public PortablePlainPortableObject(PortableObject portableObj)

Parameters:
  `portableObj` - Portable object.

### Method Detail

#### value

    public Object value()

Specified by:
  `value` in interface `PortableLazyValue`
Returns:
  Value.

#### writeTo

    public void writeTo(PortableWriterExImpl writer,
               org.apache.ignite.internal.portable.builder.PortableBuilderSerializer ctx)

Parameters:
  `writer` - Writer.
  `ctx` - Context.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015